__gnu_cxx::_Hashtable_const_iterator(3)

NAME
__gnu_cxx::_Hashtable_const_iterator -

SYNOPSIS

Detailed Description

  template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc> struct __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >

Definition at line 158 of file hashtable.h.

  Public Types
typedef hashtable< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc > _Hashtable
typedef _Hashtable_node< _Val > _Node
typedef _Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc > const_iterator
typedef ptrdiff_t difference_type
typedef _Hashtable_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc > iterator
typedef forward_iterator_tag iterator_category
typedef const _Val * pointer
typedef const _Val & reference
typedef size_t size_type
typedef _Val value_type

  Public Member Functions
_Hashtable_const_iterator (const iterator &__it)
_Hashtable_const_iterator ()
_Hashtable_const_iterator (const _Node *__n, const _Hashtable *__tab)
reference operator * () const
bool operator!= (const const_iterator &__it) const
const_iterator operator++ (int)
const_iterator & operator++ ()
pointer operator-> () const
bool operator== (const const_iterator &__it) const

  Public Attributes
const _Node * _M_cur
const _Hashtable * _M_ht

Author

Generated automatically by Doxygen for libstdc++ from the source code.